/****************************************************************************************************

		SimpleModeler.cpp
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Charles
		Date:	2004/11/04

****************************************************************************************************/

#include "SimpleModelerDef.h"
#include "Modeler.h"
#include "PanePart.h"



const MCGUID TModeler::sClassID			( R_CLSID_SimpleModeler );
const MCGUID TPanePart::sClassID		( R_CLSID_PanePart );



void Extension3DInit(IMCUnknown* utilities)
{
	// Perform your dll initialization here
}

void Extension3DCleanup()
{
	// Perform any necessary clean-up here
}

TBasicUnknown* MakeCOMObject(const MCCLSID& classId)	
{										
	// This method instanciates the COM objects

	TBasicUnknown* res = NULL;

	if		(classId == TModeler::sClassID)			res = new TModeler;
	else if (classId == TPanePart::sClassID)		res = new TPanePart;


	MCAssert(res);
	return res;
}

